Bug 567872 - Review Request: gtk-v4l : Video4Linux Preferences tool
Summary: Review Request: gtk-v4l : Video4Linux Preferences tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 07:36 UTC by Huzaifa S. Sidhpurwala
Modified: 2010-03-02 00:52 UTC (History)
2 users (show)

Fixed In Version: gtk-v4l-0.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 00:52:33 UTC
hdegoede: fedora-review+
huzaifas: fedora-cvs+


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2010-02-24 07:36:59 UTC
Spec URL: http://people.redhat.com/huzaifas/gtk-v4l/gtk-v4l.spec
SRPM URL: http://people.redhat.com/huzaifas/gtk-v4l/gtk-v4l-0.1-1.fc12.src.rpm
Description: gtk-v4l is a Video4Linux Web camera control app

Rawhide build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2010832
F13 build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=2010839


rpmlint is silent

Comment 1 Hans de Goede 2010-02-24 13:29:07 UTC
I've done a full review and I've found several MUST FIX issues:
-Typo in Summary: Prefernces should be Preferences
-Drop these 2 explicit library dependencies:
 Requires:	gtk2 >= 2.18
 Requires:	libv4l >= 0.6
-Since your desktop file does not include a MimeType key there is no reason
 to call update-desktop-database

Comment 3 Huzaifa S. Sidhpurwala 2010-02-25 04:09:32 UTC
(In reply to comment #2)
> All changed made,
> 
All changes made, sorry my morning typing is not so good :)
> I also replaced:
> https://fedorahosted.org/releases/g/t/gtk-v4l/gtk-v4l-0.1.tar.gz
> with 
> https://fedorahosted.org/releases/g/t/%{name}/%{name}-%{version}.tar.gz
> as per the packaging standard.
> 
> New SPEC and srpm in:
> http://huzaifas.fedorapeople.org/spec/gtk-v4l.spec
> http://huzaifas.fedorapeople.org/srpms/gtk-v4l-0.1-2.fc12.src.rpm

Comment 4 Hans de Goede 2010-02-26 08:38:06 UTC
Looks good now: Approved!

One small issue though (but not a blocker). Could you change
the description from:
"gtk-v4l is a Video4Linux Web camera control app"
to:
"gtk-v4l is a Video4Linux device control app"

As this will work for example with tv cards too.
The same goes for the README (to be fixed
in a next release).

Comment 5 Huzaifa S. Sidhpurwala 2010-02-26 08:59:29 UTC
Makes sense thanks.

Comment 6 Huzaifa S. Sidhpurwala 2010-02-26 10:15:44 UTC
New Package CVS Request
=======================
Package Name: gtk-v4l
Short Description: gtk-v4l is a Video4Linux device control app
Owners: huzaifas
Branches: F-13
InitialCC:

Comment 7 Fedora Update System 2010-02-26 11:25:38 UTC
gtk-v4l-0.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gtk-v4l-0.1-2.fc13

Comment 8 Jason Tibbitts 2010-02-26 17:54:16 UTC
This package already seems to be in the repository.
Am I missing something?

Comment 9 Fedora Update System 2010-02-27 03:43:22 UTC
gtk-v4l-0.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-v4l'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3071

Comment 10 Jason Tibbitts 2010-02-28 22:33:26 UTC
I'm just going to clear the fedora-cvs flag here.  If someone really needs a
CVS operation, please reset it.

Comment 11 Huzaifa S. Sidhpurwala 2010-03-01 02:49:42 UTC
I think i did a cvs, but forgot to set the flags, setting them correctly now.

Comment 12 Fedora Update System 2010-03-02 00:52:28 UTC
gtk-v4l-0.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.